> ## Documentation Index
> Fetch the complete documentation index at: https://docs.julep.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Doc



## OpenAPI

````yaml https://api.julep.ai/api/openapi.json get /docs/{doc_id}
openapi: 3.1.0
info:
  title: Julep Agents API
  description: API for Julep Agents
  termsOfService: https://www.julep.ai/terms
  contact:
    name: Julep
    url: https://www.julep.ai/
    email: developers@julep.ai
  version: 0.4.0
servers:
  - url: /api
security: []
paths:
  /docs/{doc_id}:
    get:
      tags:
        - docs
      summary: Get Doc
      operationId: get_doc_docs__doc_id__get
      parameters:
        - name: doc_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Doc Id
        - name: include_embeddings
          in: query
          required: false
          schema:
            type: boolean
            title: Include Embeddings
            default: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Doc'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Doc:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          readOnly: true
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        created_at:
          type: string
          format: date-time
          title: Created At
          readOnly: true
        title:
          type: string
          maxLength: 800
          title: Title
        content:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Content
        embeddings:
          anyOf:
            - items:
                type: number
              type: array
            - items:
                items:
                  type: number
                type: array
              type: array
            - type: 'null'
          title: Embeddings
          readOnly: true
        modality:
          anyOf:
            - type: string
            - type: 'null'
          title: Modality
          readOnly: true
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          readOnly: true
        embedding_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Embedding Model
          readOnly: true
        embedding_dimensions:
          anyOf:
            - type: integer
            - type: 'null'
          title: Embedding Dimensions
          readOnly: true
      type: object
      required:
        - id
        - created_at
        - title
        - content
      title: Doc
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````